@import "../../scss/color";

.search-box {
  background-color: rgba($color: #ffffff, $alpha: 0.5);
  width: 100%;
  padding: 20px;
  border-radius: 10px;
  form {
    width: 100%;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    .right {
      padding: 0 2px;
      width: 29%;
      transition: 0.2s all ease-in-out;
      select {
        background-color: $white;
        border-radius: 5px;
        border: 1px solid gray;
        width: 100%;
        height: 33px;
        padding: 6px 10px;
        outline: none;
        color: $black-color;
        font-size: 14px;
        font-weight: bold;
        appearance: none;
        background-image: url("../../../../assets/images/angle_down.png");
        background-size: 15px 15px;
        background-repeat: no-repeat;
        background-position: 8px 50%;
        transition: 0.2s all ease-in-out;
      }
      option {
        border-radius: 0 0 5px 5px;
      }
    }
    .center {
      padding: 0 2px;
      width: 50%;
      transition: 0.2s all ease-in-out;
      input {
        background-color: $white;
        border-radius: 5px;
        border: 1px solid gray;
        width: 100%;
        height: 33px;
        padding: 6px 10px;
        color: $black-color;
        font-weight: bold;
        font-size: 14px;
        outline: none;
        transition: 0.2s all ease-in-out;
        &::placeholder {
          color: $black-color;
          font-size: 12px;
          font-weight: bold;
        }
      }
    }
    .left {
      padding: 0 2px;
      width: 18%;
      transition: 0.2s all ease-in-out;
      a {
        padding: 6px 10px;
        background-color: $aqua-color;
        border-radius: 5px;
        border: 1px solid $aqua-color;
        text-decoration: none;
        color: $white;
        width: 100%;
        display: block;
        height: 33px;
        cursor: pointer;
        span {
          float: right;
          font-size: 14px;
          font-weight: bold;
          transition: 0.2s all ease-in-out;
        }
        fa-icon {
          float: left;
        }
      }
    }
  }
}

@media (max-width: 1000px) {
  form {
    .right {
      width: 29% !important;
      select {
        font-size: 12px !important;
      }
    }
    .center {
      width: 45% !important;
      input {
        font-size: 12px !important;
        &::placeholder {
          font-size: 12px !important;
        }
      }
    }
    .left {
      width: 22% !important;
      a {
        span {
          font-size: 12px !important;
        }
      }
    }
  }
}

@media (max-width: 500px) {
  .search-box {
    padding: 10px 5px;
  }
  form {
    .right {
      width: 27% !important;
      select {
        font-size: 10px !important;
      }
    }
    .center {
      width: 42% !important;
      input {
        font-size: 10px !important;
        &::placeholder {
          font-size: 10px !important;
        }
      }
    }
    .left {
      width: 25% !important;
      a {
        padding: 6px !important;
        span {
          font-size: 10px !important;
        }
        fa-icon {
          font-size: 10px !important;
        }
      }
    }
  }
}
